package ${basePackage}.frame.excel.style;

import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Workbook;

/**
 * 成功单元格样式
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class SuccessCellStyle extends BaseCellStyle {

    public SuccessCellStyle(Workbook workbook) {
        super(workbook);
        style.setFillForegroundColor(HSSFColor.GREEN.index); //背景颜色红色
        style.setFillPattern(CellStyle.SOLID_FOREGROUND);   //设置单元格填充样式
    }

    public CellStyle getStyle() {
        return style;
    }

    public void setStyle(CellStyle style) {
        this.style = style;
    }
}
