-- ----------------------------
-- Table structure for DEVELOPER - 开发商
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_DEVELOPER" (
    "ID" NUMBER(19) NOT NULL,
    "NAME" VARCHAR2(50) NULL,
    "NOTE" VARCHAR2(250) NULL,
    "APP_KEY" VARCHAR2(50) NULL,
    "APP_SECRET" VARCHAR2(16) NULL,
    "VALID" CHAR(1) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_DEVELOPER" is '开发商';
COMMENT ON COLUMN "SYS_DEVELOPER"."ID" is '主键';
COMMENT ON COLUMN "SYS_DEVELOPER"."NAME" is '公司名称';
COMMENT ON COLUMN "SYS_DEVELOPER"."NOTE" is '公司简介';
COMMENT ON COLUMN "SYS_DEVELOPER"."APP_KEY" is '应用码';
COMMENT ON COLUMN "SYS_DEVELOPER"."APP_SECRET" is '安全码';
COMMENT ON COLUMN "SYS_DEVELOPER"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DEVELOPER"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DEVELOPER"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DEVELOPER"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DEVELOPER"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DEVELOPER"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DEVELOPER"."LAST_UPDATE_TIME" is '最后更新时间';
