-- ----------------------------
-- Table structure for ROLE - 角色
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_ROLE" (
    "ID" NUMBER(19) NOT NULL,
    "CODE" VARCHAR2(50) NULL,
    "NAME" VARCHAR2(50) NULL,
    "COMMENT" VARCHAR2(50) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_ROLE" is '角色';
COMMENT ON COLUMN "SYS_ROLE"."ID" is '主键';
COMMENT ON COLUMN "SYS_ROLE"."CODE" is '角色代码';
COMMENT ON COLUMN "SYS_ROLE"."NAME" is '角色名称';
COMMENT ON COLUMN "SYS_ROLE"."COMMENT" is '角色描述';
COMMENT ON COLUMN "SYS_ROLE"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_ROLE"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_ROLE"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_ROLE"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_ROLE"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_ROLE"."LAST_UPDATE_TIME" is '最后更新时间';
