-- ----------------------------
-- Table structure for TASK_SQL - SQL任务
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_TASK_SQL" (
    "ID" NUMBER(19) NOT NULL,
    "TASK_NAME" VARCHAR2(50) NULL,
    "TASK_NOTE" VARCHAR2(250) NULL,
    "TASK_TYPE" VARCHAR(20) NULL,
    "TYPE_VALUE" VARCHAR2(50) NULL,
    "TASK_SQL" VARCHAR2(2500) NULL,
    "VALID" CHAR(1) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_TASK_SQL" is 'SQL任务';
COMMENT ON COLUMN "SYS_TASK_SQL"."ID" is '主键';
COMMENT ON COLUMN "SYS_TASK_SQL"."TASK_NAME" is '任务名称';
COMMENT ON COLUMN "SYS_TASK_SQL"."TASK_NOTE" is '详细注释';
COMMENT ON COLUMN "SYS_TASK_SQL"."TASK_TYPE" is '任务类型';
COMMENT ON COLUMN "SYS_TASK_SQL"."TYPE_VALUE" is '任务类型值';
COMMENT ON COLUMN "SYS_TASK_SQL"."TASK_SQL" is '任务SQL';
COMMENT ON COLUMN "SYS_TASK_SQL"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_TASK_SQL"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_TASK_SQL"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_TASK_SQL"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_TASK_SQL"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_TASK_SQL"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_TASK_SQL"."LAST_UPDATE_TIME" is '最后更新时间';
