package ${basePackage}.frame.excel.style;

import org.apache.poi.ss.usermodel.Font;
import org.apache.poi.ss.usermodel.Workbook;

/**
 * 基本字体样式
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class BaseFont {
    /**
     * 字体
     */
    protected Font font;

    public BaseFont(Workbook workbook) {
        font = workbook.createFont();
    }

    public Font getFont() {
        return font;
    }

    public void setFont(Font font) {
        this.font = font;
    }
}
