-- ----------------------------
-- Table structure for PROFILES - 系统配置
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_PROFILES" (
    "ID" NUMBER(19) NOT NULL,
    "ACTIVE" VARCHAR(20) NULL,
    "KEY" VARCHAR2(50) NULL,
    "VALUE" VARCHAR2(50) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_PROFILES" is '系统配置';
COMMENT ON COLUMN "SYS_PROFILES"."ID" is '主键';
COMMENT ON COLUMN "SYS_PROFILES"."ACTIVE" is '环境';
COMMENT ON COLUMN "SYS_PROFILES"."KEY" is '键';
COMMENT ON COLUMN "SYS_PROFILES"."VALUE" is '值';
COMMENT ON COLUMN "SYS_PROFILES"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_PROFILES"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_PROFILES"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_PROFILES"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_PROFILES"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_PROFILES"."LAST_UPDATE_TIME" is '最后更新时间';
