-- ----------------------------
-- Table structure for USER - 用户
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_USER" (
    "ID" NUMBER(19) NOT NULL,
    "USER_NAME" VARCHAR2(100) NULL,
    "USER_CODE" VARCHAR2(50) NULL,
    "USER_ALIAS" VARCHAR2(50) NULL,
    "USER_PWD" VARCHAR2(50) NULL,
    "USER_STATUS" VARCHAR(20) NULL,
    "DEPT_ID" NUMBER(19) NULL,
    "DEPT_CODE" VARCHAR2(50) NULL,
    "DEPT_NAME" VARCHAR2(100) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_USER" is '用户';
COMMENT ON COLUMN "SYS_USER"."ID" is '主键';
COMMENT ON COLUMN "SYS_USER"."USER_NAME" is '用户账户';
COMMENT ON COLUMN "SYS_USER"."USER_CODE" is '用户代码';
COMMENT ON COLUMN "SYS_USER"."USER_ALIAS" is '用户别名';
COMMENT ON COLUMN "SYS_USER"."USER_PWD" is '用户密码';
COMMENT ON COLUMN "SYS_USER"."USER_STATUS" is '用户状态';
COMMENT ON COLUMN "SYS_USER"."DEPT_ID" is '部门主键';
COMMENT ON COLUMN "SYS_USER"."DEPT_CODE" is '部门代码';
COMMENT ON COLUMN "SYS_USER"."DEPT_NAME" is '部门名称';
COMMENT ON COLUMN "SYS_USER"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_USER"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_USER"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_USER"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_USER"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_USER"."LAST_UPDATE_TIME" is '最后更新时间';
