-- ----------------------------
-- Table structure for LOG_ERR - 错误日志
-- Target   : SQLite
-- Author   : wangbing
-- Date:    : 2020-06-07
-- ----------------------------
CREATE TABLE IF NOT EXISTS SYS_LOG_ERR (
    "ID" BIGINT PRIMARY KEY NOT NULL,
    "LOG_ERR_TYPE" VARCHAR(20),
    "LOG_TITLE" VARCHAR(50) NOT NULL,
    "LOG_NOTE" TEXT,
    "LOG_ERR_RESULT" VARCHAR(20) NOT NULL,
    "LOG_ATTR1" VARCHAR(50),
    "LOG_ATTR2" VARCHAR(50),
    "LOG_ATTR3" VARCHAR(50),
    "ROW_VERSION" BIGINT NOT NULL,
    "IS_DELETED" BOOLEAN NOT NULL,
    "CREATE_BY" BIGINT NOT NULL,
    "CREATE_TIME" DATETIME NOT NULL,
    "LAST_UPDATE_BY" BIGINT,
    "LAST_UPDATE_TIME" DATETIME
);
